These docs are for v1. Click to read the latest docs for v3.

Edit

Use this API to edit an existing maintenance alert. Only one maintenance alert can be updated in a single API call.

Note: You can not update the vehicle for which the alert is applied.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://api.azuga.com/azuga-ws/v1/maintenance/update.json

{  
   "alertName":"Maintenance Alert - W12",
   "user":[  
      "cad77fc0-2588-11e7-ac81-670c6342b1b5"
   ],
   "notification":"false",
   "deletedServices":[  
      "15"
   ],
   "serviceType":[  
      {  
         "id":"10",
         "Mileage":"20", 
         "hours":"2",
         "months":"1",
         "lsd":"07-23-2017 12:00AM"
      },
      {  
         "id":"21",
         "mileage":"15",
         "hours":"",
         "months":"",
         "lsd":"07-24-2017 12:00AM"
      },
      {  
         "id":"23",
         "mileage":"15",
         "hours":"2",
         "months":"6",
         "lsd":"07-24-2017 12:00AM"
      }
   ]
}

API Response Explanation

FieldDescription
codeAPI status code
messageAPI Message (Success/Failure)
generatedAtAPI generation timestamp
Body Params
string
required

Name of the alert

string

Updated name of the alert. Pass this parameter only if you want to update the alert name

user
array of strings
required

Array of unique identifiers representing the users to which the alert is to be sent

user*
boolean
Defaults to false

Boolean indicating if the alert notification is turned ON or OFF.

deletedServices
array of int32s

Unique identifiers (id) of the service types to be deleted

deletedServices
serviceType
array

Types of services

serviceType
int32
required

Unique identifier representing the service type. The following values are valid: 1 - Air Filter Replacement, 2 - Brake Inspection, 3 - Battery Inspection, 4 - Engine/Drive Belt Replacement, 5 - Engine Coolant Replacement, 6 - Engine Oil Replacement, 7 - Fuel Filter Replacement, 8 - General Service, 9 - Lubricate Chassis, 10 - Radiator Flush, 11 - Rear Axle Fluid Replacement, 12 - Spark Plug Replacement, 13 - Tire Rotation, 14 - Tire Replacement, 15 - Transmission Fluid Replacement, 16 - Wheel Alignment, 17 - Safety Inspection, 18 - DOT Inspection, 19 - Miscellaneous - Parts, 20 - Crane Inspection, 21 - Dielectric Testing Inspection, 22 - IFTA Updates, 23 - Public Service Commission inspection, 24 - External Annual Vehicle inspection

int32

Alert threshold based on the miles driven by the vehicle. At least 1 of the following fields is mandatory: mileage, hours, months

int32

Alert threshold based on the vehicle’s engine run time (in Hours). At least 1 of the following fields is mandatory: mileage, hours, months

string

Alert threshold based on the time interval (in Months) of vehicle’s service. At least 1 of the following fields is mandatory: mileage, hours, months

date-time
required

Last service date in MM-DD-YYYY HH:MMAM/PM format

int32

Number of miles before the actual threshold, the reminder email is to be sent

int32

Number of engine hours before the actual threshold, the reminder email is to be sent

int32

Number of days before the actual threshold, the reminder email is to be sent

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json